POST openapi/moveBookmark
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
None.
Body Parameters
Nse.ServiceBus.DataContracts.StudentBookmark| Name | Description | Type | Additional information |
|---|---|---|---|
| studentReferenceId | string |
None. |
|
| contractReferenceId | string |
None. |
|
| activityId | globally unique identifier |
None. |
|
| studentCourseId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"studentReferenceId": "sample string 1",
"contractReferenceId": "sample string 2",
"activityId": "bcc4a29d-18fe-46b7-8ea6-e6ced778ed86",
"studentCourseId": "c0163b35-3c07-4940-937f-0f9da4546ba4"
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.